| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
channel.php File Reference

## Functions
| channel_init (&$a)
| channel_content (&$a, $update=0, $load=false)

## Function Documentation

channel_content | ( | & | $a,
|  |  | $update = `0`,
|  |  | $load = `false`
| ) |  |

Get permissions SQL - if $remote_contact is true, our remote user has been pre-verified and we already have fetched his/her groups

in "list mode", only mark the parent item and any like activities as "seen". We won't distinguish between comment likes and post likes. The important thing is that the number of unseen comments will be accurate. The SQL to separate the comment likes could also get somewhat hairy.

Referenced by update_channel_content().

channel_init | ( | & | $a | ) |